@model GameShop.ViewModels.AccountPurchasesViewModel

@{
    ViewBag.Title = "My Purchases";
    Layout = "_Main";
}

<div class="row" id="account">
    <div class="col-12">
        <partial name="_Errors"/>
    </div>
    <div class="col-lg-3">
        <div class="box" id="accountmenu">
            <a href="/account" class="item @if (Url.RouteUrl(ViewContext.RouteData.Values).Contains("account"))
                                           {
                                               <text>active</text>
                                           }">
                Account
            </a>

            <a href="/purchases" class="item @if (Url.RouteUrl(ViewContext.RouteData.Values).Contains("purchases"))
                                             {
                                                 <text>active</text>
                                             }">
                Purchases
            </a>

            <a href="/logout" class="item">
                Logout
            </a>
        </div>
    </div>
    <div class="col-lg-9">
        <div class="purchases-title">Your Purchases</div>
        <div class="purchases">
            @foreach (var purchase in @Model.Purchases)
            {
                <div class="purchase">
                    <div class="purchase-image" style="background-image: url(/images/games/@purchase.Game.Id\.jpg);"></div>
                    <span class="purchase-title">@purchase.Game.Title</span>
                    <span class="purchase-key">@purchase.gamekey</span>
                </div>
            }
        </div>

    </div>
</div>